Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Class RoleUnresolvedList

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.ArrayList
                        |
                        +--javax.management.relation.RoleUnresolvedList

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

public class RoleUnresolvedList
extends java.util.ArrayList

A RoleUnresolvedList represents a list of RoleUnresolved objects, representing roles not retrieved from a relation due to a problem encountered whe trying to access (read or write to roles)

Author:
  Young Yang
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`RoleUnresolvedList()` Constructs an empty RoleUnresolvedList.
`RoleUnresolvedList(int initialCapacity)` Constructs an empty RoleUnresolvedList with the initial capacity specified.
`RoleUnresolvedList(java.util.List roleUnresList)` Constructs a RoleUnresolvedList containing the elements of the ArrayList specified, in the order in which they are returned by the ArrayList's iterator.

Method Summary
`void` | `add(int index, RoleUnresolved roleUnres)` Inserts the unresolved role specified as an element at the position specified.
`void` | `add(RoleUnresolved roleUnres)` Adds the RoleUnresolved specified as the last element of the list.
`boolean` | `addAll(int index, RoleUnresolvedList roleUnresolvedList)` Inserts all of the elements in the RoleUnresolvedList specified into this list, starting at the specified position, in the order in which they are returned by the Iterator of the RoleUnresolvedList specified.
`boolean` | `addAll(RoleUnresolvedList roleUnresolvedList)` Appends all the elements in the RoleUnresolvedList specified to the end of the list, in the order in which they are returned by the Iterator of the RoleUnresolvedList specified.
`java.lang.Object` | `clone()` Cloning Returns a new RoleList, but no copy of the included elements.
`void` | `set(int index, RoleUnresolved roleUnres)` Sets the element at the position specified to be the unresolved role specified.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### RoleUnresolvedList

    public RoleUnresolvedList()

  Constructs an empty RoleUnresolvedList.

### RoleUnresolvedList

    public RoleUnresolvedList(int initialCapacity)

  Constructs an empty RoleUnresolvedList with the initial capacity specified.

Parameters:
  `initialCapacity` - initial capacity

### RoleUnresolvedList

    public RoleUnresolvedList(java.util.List roleUnresList)
                       throws java.lang.IllegalArgumentException

  Constructs a RoleUnresolvedList containing the elements of the ArrayList specified, in the order in which they are returned by the ArrayList's iterator. The RoleUnresolvedList instance has an initial capacity of 110% of the size of the ArrayList specified.

Parameters:
  `roleUnresList` - roleUnresList of RoleUnresolved objects
Throws:
  `java.lang.IllegalArgumentException` - if:

  - null parameter

  or

  - an element in the ArrayList is not a RoleUnresolved

Method Detail

### add

    public void add(RoleUnresolved roleUnres)
             throws java.lang.IllegalArgumentException

  Adds the RoleUnresolved specified as the last element of the list.

  Parameters:
    `roleUnres` - - the unresolved role to be added.
  Throws:
    `java.lang.IllegalArgumentException` - if the unresolved role is null.

### add

    public void add(int index,
                    RoleUnresolved roleUnres)
             throws java.lang.IllegalArgumentException,
                    java.lang.IndexOutOfBoundsException

  Inserts the unresolved role specified as an element at the position specified. Elements with an index greater than or equal to the current position are shifted up.

  Parameters:
    `index` - - The position in the list where the new RoleUnresolved object is to be inserted.
    `roleUnres` - - The RoleUnresolved object to be inserted.
  Throws:
    `java.lang.IllegalArgumentException` - if the unresolved role is null.
    `java.lang.IndexOutOfBoundsException`

### set

    public void set(int index,
                    RoleUnresolved roleUnres)
             throws java.lang.IllegalArgumentException,
                    java.lang.IndexOutOfBoundsException

  Sets the element at the position specified to be the unresolved role specified. The previous element at that position is discarded.

  Parameters:
    `index` - - The position specified.
    `roleUnres` - - The value to which the unresolved role element should be set.
  Throws:
    `java.lang.IllegalArgumentException` - if the unresolved role is null.
    `java.lang.IndexOutOfBoundsException`

### addAll

    public boolean addAll(RoleUnresolvedList roleUnresolvedList)
                   throws java.lang.IndexOutOfBoundsException

  Appends all the elements in the RoleUnresolvedList specified to the end of the list, in the order in which they are returned by the Iterator of the RoleUnresolvedList specified.

  Parameters:
    `roleUnresolvedList` - - Elements to be inserted into the list (can be null).
  Throws:
    `java.lang.IndexOutOfBoundsException` - if accessing with an index outside of the list.

### addAll

    public boolean addAll(int index,
                          RoleUnresolvedList roleUnresolvedList)
                   throws java.lang.IllegalArgumentException,
                          java.lang.IndexOutOfBoundsException

  Inserts all of the elements in the RoleUnresolvedList specified into this list, starting at the specified position, in the order in which they are returned by the Iterator of the RoleUnresolvedList specified.

  Parameters:
    `index` - - Position at which to insert the first element from the RoleUnresolvedList specified.
    `roleUnresolvedList` - - Elements to be inserted into the list.
  Throws:
    `java.lang.IllegalArgumentException` - if the role is null.
    `java.lang.IndexOutOfBoundsException` - if accessing with an index outside of the list.

### clone

    public java.lang.Object clone()

  Cloning

  Returns a new RoleList, but no copy of the included elements.

  Overrides:
    `clone` in class `java.util.ArrayList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD